## GstSystemClock GstSystemClock |

## Functions

GstClock * | gst_system_clock_obtain ()
void | gst_system_clock_set_default ()

## Properties

GstClockType | clock-type | Read / Write

## Types and Values

enum | GstClockType
struct | GstSystemClock

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstClock
                    ╰── GstSystemClock

## Includes

    #include <gst/gst.h>

## Description

## Functions

### gst_system_clock_obtain ()

    GstClock *
    gst_system_clock_obtain (void);

### gst_system_clock_set_default ()

    void
    gst_system_clock_set_default (GstClock *new_clock);

## Types and Values

### enum GstClockType

#### Members

GST_CLOCK_TYPE_REALTIME |  |
GST_CLOCK_TYPE_MONOTONIC |  |
GST_CLOCK_TYPE_OTHER |  |

### struct GstSystemClock

    struct GstSystemClock;

## Property Details

### The `“clock-type”` property

      “clock-type”               GstClockType

The type of underlying clock implementation used.

Flags: Read / Write

Default value: GST_CLOCK_TYPE_MONOTONIC